<?php
function advRmDir( $dir="../cache/",$rep=false){
if (empty($dir))$dir="../cache/";
if( !preg_match( "/^.*\/$/", $dir ) ) $dir .= '/';
$s=  $handle = @opendir( $dir );
$s.= "<div style='display:block; height:30px; width:80%; overflow:auto; padding:20px;'>";
 if( $handle != false ){
 $s.=  "...";
  while( $item = @readdir($handle) )
   if($item != "." && $item != "..")
	    if( is_dir( $dir.$item ) ){
	     	advRmDir( $dir.$item );
		if($rep==true)@rmdir( $dir.$item);
	     } else { @unlink( $dir.$item ); $s.= substr($item,0,10)."... ! <br />\n";}

 $s.=   "</div>";
   if ( (defined('DEVELOP'))AND(DEVELOP>2) ) print $s;
   elseif ( (defined('DEVELOP'))AND(DEVELOP>0) ) print REP_SUPP_OK;
 $res= @closedir($handle);
 if($rep==true)	rmdir( $dir.$item);
 return true;
 }
 else $res = false;
return true;
}
?>